connect_schematic_components#
- ModelerMaxwellCircuit.connect_schematic_components(starting_component, ending_component, pin_starting=2, pin_ending=1, use_wire=True)[source]#
Connect schematic components.
- Parameters:
- starting_component
str
Starting (right) component.
- ending_component
str
Ending (left) component for the connection line.
- pin_starting
int
,str
,list
optional
Number or name of the pins at which to terminate the connection from the right end of the starting component. The default is
2
.- pin_ending
int
,str
,list
optional
Number or name of the pins at which to terminate the connection from the left end of the ending component. The default is
1
.- use_wirebool,
optional
Whether to use wires or a page port to connect the pins. The default is
True
, in which case wires are used. Note that if wires are not well placed, shorts can result.
- starting_component
- Returns:
- bool
True
when successful,False
when failed.
References
>>> oEditor.CreateWire